> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Employee Bank Accounts Bulk

> Create multiple bank accounts and attach them to an employee



## OpenAPI

````yaml /api-reference/preview.json post /organizations/{organization_id}/employees/{employee_id}/bank-accounts/list
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /organizations/{organization_id}/employees/{employee_id}/bank-accounts/list:
    post:
      tags:
        - Core
        - Employees
        - Banking
      summary: Create Employee Bank Accounts Bulk
      description: Create multiple bank accounts and attach them to an employee
      operationId: >-
        create_employee_bank_accounts_bulk_organizations__organization_id__employees__employee_id__bank_accounts_list_post
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
        - name: employee_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Employee Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/BankAccountRequest'
              title: Requests
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BankAccountResponse'
                title: >-
                  Response Create Employee Bank Accounts Bulk Organizations 
                  Organization Id  Employees  Employee Id  Bank Accounts List
                  Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    BankAccountRequest:
      properties:
        financial_institution_name:
          type: string
          title: Financial Institution Name
          examples:
            - Deutsche Bank
            - Lloyds Bank
        account_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Number
          examples:
            - 'DE: DE89370400440532013000'
            - 'GB: 31926819'
        routing_number:
          anyOf:
            - type: string
              maxLength: 9
              minLength: 9
            - type: 'null'
          title: Routing Number
          examples:
            - 'DE: 370400440'
            - 'GB: 226073523'
        iban:
          anyOf:
            - type: string
              maxLength: 34
              title: IBAN
            - type: 'null'
          title: Iban
          examples:
            - 'DE: DE89370400440532013000'
            - 'GB: GB29NWBK60161331926819'
        swift_code:
          anyOf:
            - type: string
              maxLength: 11
              minLength: 8
              pattern: '[A-Z0-9]{4}[A-Z]{2}[A-Z0-9]{2}(:?[A-Z0-9]{3})?'
              title: BIC
            - type: 'null'
          title: Swift Code
          examples:
            - 'DE: COBADEFFXXX'
            - 'GB: NWBK6016'
        account_details:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Account Details
        is_active:
          type: boolean
          title: Is Active
          default: true
        is_primary:
          type: boolean
          title: Is Primary
          default: false
      additionalProperties: true
      type: object
      required:
        - financial_institution_name
      title: BankAccountRequest
      description: Schema for creating bank accounts
    BankAccountResponse:
      properties:
        financial_institution_name:
          type: string
          title: Financial Institution Name
          examples:
            - Deutsche Bank
            - Lloyds Bank
        account_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Number
          examples:
            - 'DE: DE89370400440532013000'
            - 'GB: 31926819'
        routing_number:
          anyOf:
            - type: string
              maxLength: 9
              minLength: 9
            - type: 'null'
          title: Routing Number
          examples:
            - 'DE: 370400440'
            - 'GB: 226073523'
        iban:
          anyOf:
            - type: string
              title: IBAN
            - type: 'null'
          title: Iban
          examples:
            - 'DE: DE89370400440532013000'
            - 'GB: GB29NWBK60161331926819'
        swift_code:
          anyOf:
            - type: string
              title: BIC
            - type: 'null'
          title: Swift Code
          examples:
            - 'DE: COBADEFFXXX'
            - 'GB: NWBK6016'
        account_details:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Account Details
        is_active:
          type: boolean
          title: Is Active
          default: true
        is_primary:
          type: boolean
          title: Is Primary
          default: false
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      additionalProperties: true
      type: object
      required:
        - financial_institution_name
        - id
        - created_at
        - updated_at
      title: BankAccountResponse
      description: Schema for bank account responses
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````